<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.liquidnet.service.kylin.mapper.KylinOrderTicketEntitiesMapper">

    <select id="selectEntitiesList" resultType="com.liquidnet.service.kylin.dao.KylinOrderRefundsEntitiesDao">
        SELECT a.enter_name, a.is_payment, b.title, b.use_start, b.price
        FROM kylin_order_ticket_entities AS a
        JOIN kylin_tickets AS b ON a.ticket_id = b.tickets_id
        <where>
            a.order_ticket_entities_id IN
            <foreach collection="orderTicketEntitiesIdS" item="id" index="index" open="(" close=")" separator=",">
                ${id}
            </foreach>
        </where>
    </select>
</mapper>
